- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
G::Slot0 Class Reference

Part of the slot/signal system. More...

`#include <gslot.h>`

## Public Member Functions
| Slot0 ()
| Slot0 (SlotBase *imp, void(*op)(SlotBase *))
| ~Slot0 ()
void | callback ()
| Slot0 (const Slot0 &other)
void | swap (Slot0 &rhs)
void | operator= (const Slot0 &rhs)
const SlotBase * | base () const

## Detailed Description

Part of the slot/signal system.

Definition at line 119 of file gslot.h.

## Constructor & Destructor Documentation

G::Slot0::Slot0 | ( |  | ) |
| inline

Definition at line 125 of file gslot.h.

G::Slot0::Slot0 | ( | SlotBase * | imp,
|  | void(*)(SlotBase *) | op
| ) |  |
| inline

Definition at line 126 of file gslot.h.

G::Slot0::~Slot0 | ( |  | ) |
| inline

Definition at line 127 of file gslot.h.

References G::SlotBase::down().

G::Slot0::Slot0 | ( | const Slot0 & | other | ) |
| inline

Definition at line 129 of file gslot.h.

References G::SlotBase::up().

## Member Function Documentation

const SlotBase* G::Slot0::base | ( |  | ) | const
| inline

Definition at line 132 of file gslot.h.

Referenced by G::Signal0::connect().

void G::Slot0::callback | ( |  | ) |
| inline

Definition at line 128 of file gslot.h.

Referenced by G::Signal0::emit().

void G::Slot0::operator= | ( | const Slot0 & | rhs | ) |
| inline

Definition at line 131 of file gslot.h.

References swap().

void G::Slot0::swap | ( | Slot0 & | rhs | ) |
| inline

Definition at line 130 of file gslot.h.

References G::swap_().

Referenced by operator=().

The documentation for this class was generated from the following file:

- gslot.h